From 45f7a1b48d6ab9d67e4c33c053bd0a4c6454501b Mon Sep 17 00:00:00 2001
From: Erik Kooistra <kooistra@astron.nl>
Date: Fri, 6 Jun 2014 12:04:15 +0000
Subject: [PATCH] Renamed run_msim into run_modelsim.

---
 tools/modelsim/run_modelsim | 50 +++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100755 tools/modelsim/run_modelsim

diff --git a/tools/modelsim/run_modelsim b/tools/modelsim/run_modelsim
new file mode 100755
index 0000000000..250276731c
--- /dev/null
+++ b/tools/modelsim/run_modelsim
@@ -0,0 +1,50 @@
+#!/bin/bash
+###############################################################################
+#
+# Copyright (C) 2014
+# ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
+# P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+###############################################################################
+
+# General tool and project settings
+# - use '. <script>.sh' to have the settings apply in this shell, otherwise they get lost when <script>.sh returns
+
+# Select target
+TARGET=${1:-}
+if [ "${TARGET}" = "" ]; then
+  TARGET="default"
+fi
+echo "Start Modelsim GUI for RadioHDL with target: ${TARGET}"
+
+# Select tool version
+if [ "${TARGET}" = "default" ]; then
+  . ${RADIOHDL}/tools/quartus/quartus_version.sh 11.1
+  . ${RADIOHDL}/tools/modelsim/modelsim_version.sh 6.6c
+elif [ "${TARGET}" = "unb1" ]; then
+  . ${RADIOHDL}/tools/quartus/quartus_version.sh 11.1
+  . ${RADIOHDL}/tools/modelsim/modelsim_version.sh 6.6c
+elif [ "${TARGET}" = "unb2" ]; then
+  #. ${RADIOHDL}/tools/quartus/quartus_version.sh 13.1
+  . ${RADIOHDL}/tools/quartus/quartus_version.sh 13.1a10
+  . ${RADIOHDL}/tools/modelsim/modelsim_version.sh 10.2c
+else
+  echo "error: unknown target"
+  exit 1
+fi
+
+# Start the Modelsim GUI
+$MODEL_TECH_DIR/linux_x86_64/vsim -do ${RADIOHDL}/tools/modelsim/commands.do
-- 
GitLab